Bug 1384980 - updating a NIC's "Device identifier" if it doesn't already have one fails
Summary: updating a NIC's "Device identifier" if it doesn't already have one fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Networking
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 13:26 UTC by Sean O'Keeffe
Modified: 2019-09-26 15:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)
Updated interface (11.76 KB, image/png)
2017-08-16 08:28 UTC, Ondřej Pražák
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16935 None None None 2016-10-14 13:32:42 UTC

Description Sean O'Keeffe 2016-10-14 13:26:54 UTC
Description of problem:
updating a NIC's "Device identifier" if it doesn't already have one fails if the "Device identifier" includes a . or :


Version-Release number of selected component (if applicable):
sat6.2

How reproducible:
100%

Steps to Reproduce:
1. Create a new ( dont set Device identifier on the NIC)
2. edit host and try to set Device identifier to eth1:210 for example
3.

Actual results:
Error: Can't add or remove : from identifier

Expected results:
to be able to set it.


Additional info:

Comment 1 Bryan Kearney 2016-10-14 14:12:28 UTC
Upstream bug component is Orchestration

Comment 4 Bryan Kearney 2016-10-17 18:14:07 UTC
Upstream bug component is Orchestration

Comment 6 Bryan Kearney 2016-10-18 12:14:08 UTC
Upstream bug component is Networking

Comment 7 Bryan Kearney 2016-11-25 15:11:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16935 has been resolved.

Comment 8 Ondřej Pražák 2017-08-16 08:28:25 UTC
Created attachment 1313995 [details]
Updated interface

Verified.

6.3.0 snap 11

Comment 9 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.